| FoxitPDFSDKforWeb v11.1.0 Archives Foxit PDF SDK for Web

Public Member Functions | Public Attributes | List of all members
IFormSignatureField Interface Reference
PDF » form

Interface for handling form signature fields, extending ISignatureField. More...

Inheritance diagram for IFormSignatureField:

## Public Member Functions
Promise< FormSignatureInfo > | getSignInfo ()
| Retrieves form-specific signature information. More...
Public Member Functions inherited from ISignatureField
Promise< Array< number >|undefined > | getByteRange ()
| Retrieves the byte range of the current signature. More...
Promise< string|undefined > | getFilter ()
| Retrieves the filter of the current signature. More...
string | getName ()
| Retrieves the signature field name. More...
Promise< string > | getSigner ()
| Gets the name of the signer. More...
Promise< string|undefined > | getSubfilter ()
| Retrieves the subfilter of the current signature. More...
Promise< boolean > | isSigned ()
| Checks whether the current signature is signed. More...
Promise< number > | verify ()
| Verifies the signature, returning the result of the verification. More...

## Public Attributes
readonly true | isFormField
| Always true since this represents a form field.
readonly false | isXFAField
| Always false for form fields.
Public Attributes inherited from ISignatureField
readonly boolean | isFormField
| Indicates if the signature field is a form field.
readonly boolean | isXFAField
| Indicates if the signature field is part of an XFA form.
readonly number | verifiedResult
| The verification result of the current signature. If the signature has not been verified, this property is undefined. More...

## Detailed Description

Interface for handling form signature fields, extending ISignatureField.

Since
  11.0.0

## Member Function Documentation

## ◆ getSignInfo()

Promise<FormSignatureInfo> IFormSignatureField::getSignInfo | ( |  | ) |

Retrieves form-specific signature information.

Returns
  Promise<FormSignatureInfo> - A promise that resolves with form signature information.

Implements ISignatureField.

Implemented in PDFSignature.

@2026 Foxit Software Incorporated. All rights reserved.